<!DOCTYPE html>
<html>
  <head>
    <title>Closures</title>
  </head>
  <body>
    <script>
      function hola() {
        let mensaje = 'hola mundo'

        function fn_hola() {
          console.log(mensaje)
        }

        return fn_hola
      }

      const func = hola()
      func()

    </script>
  </body>
</html>
